import request from '@/utils/request'
// const baseURL = process.env.VUE_APP_BASE_API
const baseURL = ''

// 菜单数列表
export function getMenuList(params) {
  return request({
    url: `${baseURL}/cc/menu/listTree`,
    method: 'get',
    params: params
  })
}

// 菜单添加
export function addMenu(data) {
  return request({
    url: `${baseURL}/cc/menu/add`,
    method: 'post',
    data
  })
}

// 菜单修改
export function updateMenu(data) {
  return request({
    url: `${baseURL}/cc/menu/update`,
    method: 'post',
    data
  })
}

// 菜单删除
export function deleteMenu(data) {
  return request({
    url: `${baseURL}/cc/menu/delete`,
    method: 'post',
    data
  })
}
